package com.lukouguoji.aerologic.page.gnj.move.stash.list

import android.view.View
import com.lukouguoji.aerologic.databinding.ItemGnjMoveStashListBinding
import com.lukouguoji.module_base.base.BaseViewHolder
import com.lukouguoji.module_base.bean.MoveStashBean
import com.lukouguoji.module_base.bean.SimpleCheckBean

class GnjMoveStashListViewHolder(view: View) :
    BaseViewHolder<MoveStashBean, ItemGnjMoveStashListBinding>(view) {

    override fun onBind(item: Any?, position: Int) {
        val bean = getItemBean(item)!!
        binding.bean = bean

        binding.ivIcon.setOnClickListener {
            bean.checked.set(!bean.checked.get())
        }
    }

}